IndexedPropertyChangeEvent (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: java.beans, class: IndexedPropertyChangeEvent
Keywords: java.beans.IndexedPropertyChangeEvent class

Module java.desktop
Package java.beans

# Class IndexedPropertyChangeEvent

java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
java.beans.IndexedPropertyChangeEvent

All Implemented Interfaces:
  `Serializable`

    public class IndexedPropertyChangeEvent
    extends PropertyChangeEvent

An "IndexedPropertyChange" event gets delivered whenever a component that conforms to the JavaBeans™ specification (a "bean") changes a bound indexed property. This class is an extension of `PropertyChangeEvent` but contains the index of the property that has changed.

Null values may be provided for the old and the new values if their true values are not known.

An event source may send a null object as the name to indicate that an arbitrary set of if its properties have changed. In this case the old and new values should also be null.

Since:
  1.5
See Also:
  Serialized Form

- ## Field Summary

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IndexedPropertyChangeEvent​(Object source, String propertyName, Object oldValue, Object newValue, int index)` | Constructs a new `IndexedPropertyChangeEvent` object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getIndex()` | Gets the index of the property that was changed.

  ### Methods declared in class java.beans.PropertyChangeEvent

  `getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

  ### Methods declared in class java.util.EventObject

  `getSource`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IndexedPropertyChangeEvent

    public IndexedPropertyChangeEvent​(Object source, String propertyName, Object oldValue, Object newValue, int index)
    Constructs a new `IndexedPropertyChangeEvent` object.
    Parameters:
      `source` - The bean that fired the event.
      `propertyName` - The programmatic name of the property that was changed.
      `oldValue` - The old value of the property.
      `newValue` - The new value of the property.
      `index` - index of the property element that was changed.

- ## Method Details

  - ### getIndex

    public int getIndex()
    Gets the index of the property that was changed.
    Returns:
      The index specifying the property element that was changed.